// Unterprogramm fr die Speicherung des Grafikbildschirm als
// Windows-Bitmap-Datei (*.BMP) als Baustein fr eigene Programme
// Version 1.0 fr unkomprimierte Dateien
// Es werden smtliche Farbtiefen untersttzt (S/W, 16, 256, 24-Bit)
// (c) 1996 by Andreas Meile, HTL Brugg-Windisch

// basierend auf GRX.H (erweiterte Grafik) und stdio.h (fr binre
// Dateispeicherung

int speichere_als_bmp(const char *d_name, // Dateiname (mit ".BMP"!)
                      int b_roehre_breite = 12, // Bildrhrenbeite in Zoll
                      int b_roehre_hoehe = 9);  // Bildrhrenhhe in Zoll
                      // => diese Vorgabewerte entsprechen einem Monitor
                      // mit 15" Bilddiagonale. Sinn dieser Werte: Korrekter
                      // Eintrag bei der Pixeldichte im BITMAPINFOHEADER
// ͻ
//  Wichtige Anmerkung bezglich Farbpalette: Da die LIBGRX   
//  mit einem Farbreservationssystem arbeitet, ist die GRX-   
//  Funktion "GrQueryColor()" nicht in der Lage, die Vorgabe- 
//  farben des Systems, wie man sie unmittelbar durch den     
//  "GrSetMode()"-Aufruf erhlt, korrekt auszulesen (es wird  
//  nur Schwarz, d.h. R=0, G=0, B=0 bei uninitialisierten     
//  Farben zurckgeliefert) => SMTLICHE verwendete Farben    
//  mssen vorher explizit mit "GrSetColor()" gesetzt werden! 
// ͼ
